# ArcPy サイト パッケージをインポート
import arcpy
# ワークスペースを設定
arcpy.env.workspace = r"D:\Student\PYTS\Projects\Training\Training.gdb"

# [フィールドの追加] ツールへ入力するパラメーターの変数を設定
input = "japan"
field = "FAM_RANK"
# [フィールドの追加] ツールを実行
arcpy.management.AddField(input, field, "TEXT")

# [フィールド演算] ツールへ入力するパラメーターの変数を設定
# テキストの説明にあるように def 文は一旦クォーテーション外で記述して下さい
codeblock = """
def RankFam(p_num, h_num):
    try:
        family = p_num / h_num
        if family < 2.0:
            return "single"
        elif family < 3.0:
            return "couple"
        else:
            return "with children"
    except:
        return "Error"
"""
exp = "RankFam(!P_NUM!, !H_NUM!)"

# [フィールド演算] ツールを実行
arcpy.management.CalculateField(input, field, exp, "PYTHON3", codeblock)
print("実行が完了しました。")

